Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 2 Apr 2002 09:22:59 -0800 (PST)
From:      Patrick Powell <papowell@astart.com>
To:        dwcjr@FreeBSD.ORG, obraun@informatik.unibw-muenchen.de, papowell@lprng.com
Cc:        freebsd-ports@FreeBSD.ORG
Subject:   Re: ports/35754: Fix/Update ifhp port (re: 1 unfetchable distfiles: print/ifhp)
Message-ID:  <200204021722.g32HMxc26145@h110.private>
In-Reply-To: <20020402094040.GA38679@nemesis.informatik.unibw-muenchen.de>

next in thread | previous in thread | raw e-mail | index | archive | help
OK,  I think I fixed this up.  I posted an update to the ports
mailing list using send-pr.  Here are the diffs against the
latest /usr/ports/print/ifhp commit:

diff -rNu /usr/ports/print/ifhp/Makefile ifhp/Makefile
--- /usr/ports/print/ifhp/Makefile	Tue Apr  2 07:56:40 2002
+++ ifhp/Makefile	Tue Apr  2 08:15:33 2002
@@ -5,21 +5,26 @@
 # $FreeBSD: ports/print/ifhp/Makefile,v 1.4 2002/03/31 18:06:36 dwcjr Exp $
 #
 
-PORTNAME=ifhp
-PORTVERSION=3.5.6
+PORTNAME=	ifhp
+PORTVERSION=	3.5.7
 CATEGORIES=	    print
 MASTER_SITES=	ftp://ftp.lprng.com/pub/%SUBDIR%/ \
-	ftp://ftp.cise.ufl.edu/pub/mirrors/%SUBDIR%/ \
-	ftp://ftp.cs.umn.edu/pub/%SUBDIR%/ \
-	ftp://ftp.informatik.uni-hamburg.de/pub/os/unix/utils/%SUBDIR%/ \
-	ftp://ftp.uni-paderborn.de/pub/unix/printer/%SUBDIR%/
+		ftp://ftp.cise.ufl.edu/pub/mirrors/%SUBDIR%/ \
+		ftp://ftp.cs.umn.edu/pub/%SUBDIR%/ \
+		ftp://ftp.informatik.uni-hamburg.de/pub/os/unix/utils/%SUBDIR%/ \
+		ftp://ftp.uni-paderborn.de/pub/unix/printer/%SUBDIR%/
 MASTER_SITE_SUBDIR=  LPRng/ifhp
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=papowell@astart.com
 
-# RUN_DEPENDS=
 
+GNU_CONFIGURE=	yes
+INSTALLS_SHLIB=	yes
+
+CONFIGURE_ARGS= \
+	--with-ldopts="-L${LOCALBASE}/lib" \
+	--with-ccopts="-I${LOCALBASE}/include"
 .if defined(PREFIX)
   CONFIGURE_ARGS+=  --prefix="${PREFIX}"
 .endif
@@ -27,14 +32,6 @@
   CONFIGURE_ARGS+=  --sysconfdir="${SYSCONFDIR}"
 .endif
 
-HAS_CONFIGURE=	yes
-GNU_CONFIGURE=	yes
-INSTALLS_SHLIB=	yes
-
-CONFIGURE_ARGS+= \
-	--with-ldopts="-L${LOCALBASE}/lib" \
-	--with-ccopts="-I${LOCALBASE}/include"
-
 MAN8=ifhp.8 textps.8
 
 pre-everything::
@@ -48,7 +45,6 @@
 		${ECHO_MSG} "See the hier(7) man page for details of the FreeBSD file system"; \
 		${ECHO_MSG} "layout.  Configure is not equipped to determine the location of"; \
 		${ECHO_MSG} 'man pages and defaults to $${PREFIX}/man, which is incorrect for FreeBSD.'; \
-		exit 1; \
 	fi
 	@${ECHO_MSG} "Configuring with '${CONFIGURE_ARGS}'"
 
@@ -60,6 +56,6 @@
 		do ${INSTALL_DATA} ${WRKSRC}/HOWTO/$$i ${DOCSDIR}; done
 .endfor
 .endif
-	@${CAT} ${PKGMESSAGE}
+	@${SED} -e "s!DOCSDIR!${DOCSDIR}/!" ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -rNu /usr/ports/print/ifhp/distinfo ifhp/distinfo
--- /usr/ports/print/ifhp/distinfo	Tue Apr  2 07:56:40 2002
+++ ifhp/distinfo	Wed Dec 31 16:00:00 1969
@@ -1 +0,0 @@
-MD5 (ifhp-3.5.6.tgz) = ca54cb1008c9d0cbb2aa767a1a4810fb
diff -rNu /usr/ports/print/ifhp/files-pkg-message ifhp/files-pkg-message
--- /usr/ports/print/ifhp/files-pkg-message	Wed Dec 31 16:00:00 1969
+++ ifhp/files-pkg-message	Tue Apr  2 08:15:33 2002
@@ -0,0 +1,14 @@
+The ifhp configuration file is ifhp.conf
+
+For further information, have a look at:
+  DOCSDIR
+also:
+  WWW: http://www.lprng.com/
+
+Commercial support is available from Astart Technologies:
+
+Patrick Powell                 Astart Technologies,
+papowell@astart.com            9475 Chesapeake Drive, Suite D,
+Network and System             San Diego, CA 92123
+  Consulting                   858-874-6543 FAX 858-279-8424 
+URL:  http://www.astart.com
diff -rNu /usr/ports/print/ifhp/pkg-descr ifhp/pkg-descr
--- /usr/ports/print/ifhp/pkg-descr	Tue Apr  2 07:56:40 2002
+++ ifhp/pkg-descr	Tue Apr  2 08:15:33 2002
@@ -4,5 +4,5 @@
 and can be used as a stand-alone print utility.  It is the primary
 supported print filter for the LPRng print spooler.
 
-WWW: http://www.lprng.com
-FTP: ftp://ftp.lprng.com
+WWW: http://www.lprng.com/
+FTP: ftp://ftp.lprng.com/
diff -rNu /usr/ports/print/ifhp/pkg-install ifhp/pkg-install
--- /usr/ports/print/ifhp/pkg-install	Wed Dec 31 16:00:00 1969
+++ ifhp/pkg-install	Tue Apr  2 08:15:33 2002
@@ -0,0 +1,98 @@
+#!/bin/sh
+PREFIX=/usr/local
+SYSCONFDIR=/usr/local/etc
+IFHP_CONF=/usr/local/etc/ifhp.conf
+MANDIR=/usr/local/man
+VERSION=3.5.7
+#
+# -- START --
+# $Id: postinstall.freebsd.sh,v 1.9 2001/12/12 01:54:49 papowell Exp papowell $
+#
+#  If you are building a PORT, see the
+#  DISTRIBUTIONS/Freebsd directory for a complete port
+#  building package.
+# 
+# This is the shell script that does the postinstall
+# dynamic fixup
+#  It needs to be massaged with the information for
+#  various paths.
+# If you are building a package,  then you do NOT want
+#  to have this executed - it will put the sample files
+#  in place.  You need to do this during the postinstall
+#  step in the package installation.
+#
+echo RUNNING postinstall.freebsd.sh MAKEPACKAGE="$MAKEPACKAGE" MAKEINSTALL="$MAKEINSTALL" PREFIX="$PREFIX" cwd `pwd`
+if [ "$VERBOSE_INSTALL" != "" ] ; then set -x; fi
+fix () {
+	v=`echo $1 | sed -e 's/[:;].*//'`;
+    p=`echo $2 | sed -e 's/:.*//'`; d=`dirname $p`;
+	if expr "$p" : "\|" >/dev/null ; then
+		echo "$v is a filter '$p'" 
+		exit 0
+	fi
+    echo "Putting $p in $d, using $v.sample"
+	if [ ! -d "$d" ] ; then
+		echo "Directory $d does not exist!"
+		mkdir -p $d
+	fi
+	if [ -f $v.sample ] ; then
+		if [ $v.sample != $p.sample ] ; then cp $v.sample $p.sample; fi
+	elif [ -f $v ] ; then
+		if [ $v != $p.sample ] ; then cp $v $p.sample; fi
+	else
+		echo "Do not have $v.sample or $v"
+	fi
+	if [ ! -f $p.sample ] ; then
+		echo "Do not have $p.sample"
+	else
+		if [ -f $p ] ; then
+			date=`date | awk '{ print $6, $2, $3, $4;}' | sed -e 's/  */_/g' `
+			echo "Saving $p in $p.$date"
+			mv $p $p.$date
+		fi
+		chmod 644 $p.sample
+		cp $p.sample $p;
+		chmod 644 $p;
+	fi;
+}
+# we use the /usr/local/etc/rc.d method to start
+# lpd
+# we have to take them from one place and put in another
+if [ "X$MAKEPACKAGE" = "XYES" ] ; then
+	hold=${DESTDIR}${PREFIX}/etc
+	echo "Setting up configuration files path for package creation" ${hold}
+    if [ ! -d ${hold} ] ; then mkdir -p ${hold} ; fi;
+    cp ifhp.conf ${hold}/ifhp.conf.sample
+elif [ X$MAKEINSTALL = XYES ] ; then
+	# we have the port pre-install operation
+	if [ "$MANDIR" = "/usr/man" -a ! -d ${DESTDIR}/usr/man ] ; then
+		# we have the dreaded standard installation
+		# try to make a symbolic link to 
+		echo "Creating symbolic link from /usr/man to /usr/share/man"
+		v=`ln -s ${DESTDIR}/usr/share/man ${DESTDIR}/usr/man`;
+	fi
+	hold=${DESTDIR}${PREFIX}/etc
+	echo "Setting up configuration files path for installation" ${hold}
+    if [ ! -d ${hold} ] ; then mkdir -p ${hold} ; fi;
+    cp ifhp.conf ${hold}/ifhp.conf.sample
+    fix ifhp.conf "${DESTDIR}${IFHP_CONF}"
+elif [ "X$2" = "XPOST-INSTALL" ] ; then
+	# when doing an install from a package we get the file from the package
+	hold=etc
+    if [ -f ${hold}/ifhp.conf.sample ] ; then
+        fix ${hold}/ifhp.conf "${IFHP_CONF}"
+    else
+        echo "WARNING: configuration files missing from package! CWD " `pwd`
+		ls
+		exit 1
+    fi
+elif [ "X$2" = "XPRE-INSTALL" ] ; then
+	# we have the port pre-install operation
+	if [ "$MANDIR" = "/usr/man" -a ! -d /usr/man ] ; then
+		# we have the dreaded standard installation
+		# try to make a symbolic link to 
+		echo "Creating symbolic link from /usr/man to /usr/share/man"
+		v=`ln -s /usr/share/man /usr/man`;
+	fi
+fi
+exit 0
diff -rNu /usr/ports/print/ifhp/pkg-message ifhp/pkg-message
--- /usr/ports/print/ifhp/pkg-message	Wed Dec 31 16:00:00 1969
+++ ifhp/pkg-message	Tue Apr  2 08:15:33 2002
@@ -0,0 +1,14 @@
+The ifhp configuration file is ifhp.conf
+
+For further information, have a look at:
+  /usr/local/share/doc/ifhp
+also:
+  WWW: http://www.lprng.com/
+
+Commercial support is available from Astart Technologies:
+
+Patrick Powell                 Astart Technologies,
+papowell@astart.com            9475 Chesapeake Drive, Suite D,
+Network and System             San Diego, CA 92123
+  Consulting                   858-874-6543 FAX 858-279-8424 
+URL:  http://www.astart.com
diff -rNu /usr/ports/print/ifhp/pkg-plist ifhp/pkg-plist
--- /usr/ports/print/ifhp/pkg-plist	Tue Apr  2 07:56:40 2002
+++ ifhp/pkg-plist	Tue Apr  2 08:15:33 2002
@@ -2,3 +2,10 @@
 libexec/filters/ifhp
 libexec/filters/textps
 libexec/filters/wrapper
+share/doc/ifhp/IFHP-HOWTO.html
+share/doc/ifhp/IFHP-HOWTO.pdf
+share/doc/ifhp/LPRng.jpg
+share/doc/ifhp/LPRngT-L.jpg
+share/doc/ifhp/LPRngT-S.jpg
+share/doc/ifhp/ifhp-S.jpg
+@dirrm  share/doc/ifhp

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200204021722.g32HMxc26145>